Rezepte
ReferenceComments

/api/v1/comments/{commentId}

Change the text of one's own comment

PATCH/api/v1/comments/{commentId}
rezepte_session<token>

Session cookie set by POST /api/v1/auth/login.

In: cookie

Path Parameters

commentId*integer
Formatint64

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X PATCH "https://example.com/api/v1/comments/0" \  -H "Content-Type: application/json" \  -d '{    "body": "string"  }'
{  "$schema": "https://example.com/api/v1/schemas/Comment.json",  "author": {    "avatarId": "string",    "color": "string",    "displayName": "string",    "id": "string",    "username": "string"  },  "body": "string",  "canDelete": true,  "canEdit": true,  "createdAt": "2019-08-24T14:15:22Z",  "editedAt": "2019-08-24T14:15:22Z",  "id": 0,  "new": true}